#!/bin/sh -e

./configure            \
   --cc="${CC:-cc}"    \
   --cxx="${CXX:-c++}" \
   --prefix=/usr       \
   --enable-shared     \
   --enable-gpl        \
   --enable-version3   \
   --enable-nonfree    \
   --enable-openssl    \
   --enable-libass     \
   --enable-libmp3lame \
   --enable-libopus    \
   --enable-libvorbis  \
   --enable-libvpx     \
   --enable-libx265    \
   --enable-libxvid    \
   --enable-libdrm     \
   --x86asmexe=nasm    \
   --disable-debug     \
   --enable-libtheora  \
   --disable-libxml2   \
   --enable-ffplay

make
make DESTDIR="$1" install

rm -rf "$1/usr/share/ffmpeg/examples"
